# Generated by Django 3.2.2 on 2021-05-16 23:58

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("elections2021", "0017_auto_20210517_0059"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="elections2021strategiclistpage",
            options={"verbose_name": "Strategické dokumenty"},
        ),
        migrations.AddField(
            model_name="elections2021homepage",
            name="footer_menu",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="stránka",
                                        page_type=[
                                            "elections2021.Elections2021ArticlesPage",
                                            "elections2021.Elections2021CandidatesListPage",
                                            "elections2021.Elections2021CandidatesMapPage",
                                            "elections2021.Elections2021ProgramPage",
                                            "elections2021.Elections2021QuestionsPage",
                                            "elections2021.Elections2021ProgramAppPage",
                                            "elections2021.Elections2021TextPage",
                                            "elections2021.Elections2021StrategicListPage",
                                            "elections2021.Elections2021StrategicPage",
                                        ],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="menu projděte si v zápatí",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021strategicpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "title",
                        wagtail.blocks.CharBlock(
                            icon="title",
                            label="nadpis sekce (pro navigaci)",
                            template="elections2021/_strategic_title_block.html",
                        ),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h3",
                                "h4",
                                "bold",
                                "italic",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "ul-elections2021",
                                "ol-elections2021",
                                "blockquote-elections2021",
                                "link",
                                "image",
                                "document-link",
                            ],
                            label="text",
                            template="elections2021/_strategic_text_block.html",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
    ]
